Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.util
Class Properties

    java.lang.Object
      org.bouncycastle.util.Properties

public class Properties
extends java.lang.Object

Utility method for accessing system properties.

Field Summary
`static java.lang.String` | `ASN1_ALLOW_NON_DER_TIME`
`static java.lang.String` | `ASN1_MAX_CONS_DEPTH`
`static java.lang.String` | `ASN1_MAX_LIMIT`
`static java.lang.String` | `BCFKS_MAX_IT_COUNT`
`static java.lang.String` | `BCFKS_MAX_SCRYPT_MEMORY`
`static java.lang.String` | `BKS_ENABLE_V1`
`static java.lang.String` | `BKS_MAX_IT_COUNT`
`static java.lang.String` | `DH_MAX_SIZE`
`static java.lang.String` | `DRBG_EFFECTIVE_256BITS_ENTROPY`
`static java.lang.String` | `DRBG_ENTROPY_SOURCE`
`static java.lang.String` | `DRBG_ENTROPY_THREAD`
`static java.lang.String` | `DRBG_GATHER_PAUSE_SECS`
`static java.lang.String` | `DSA_MAX_SIZE`
`static java.lang.String` | `EMULATE_ORACLE` If set the provider will attempt, where possible, to behave the same way as the oracle one.
`static java.lang.String` | `GCM_ALLOW_SHORT_TAGS`
`static java.lang.String` | `JSSE_HOSTNAME_CHECK_CN_FALLBACK`
`static java.lang.String` | `PBE_MAX_ITERATION_COUNT`
`static java.lang.String` | `PBE_MAX_SCRYPT_MEMORY`
`static java.lang.String` | `PKCS1_STRICT_DIGESTINFO`
`static java.lang.String` | `PKCS12_ALLOW_SUN_SECRET_KEYS`
`static java.lang.String` | `PKCS12_IGNORE_USELESS_PASSWD`
`static java.lang.String` | `PKCS12_MAX_IT_COUNT`
`static java.lang.String` | `PKMAC_MAX_ITERATION_COUNT`
`static java.lang.String` | `X509_ALLOW_LENIENT_RFC822_NAME`
`static java.lang.String` | `X509_CRL_CACHE_TTL`
`static java.lang.String` | `X509_ENABLE_CRLDP`
`static java.lang.String` | `X509_MAX_POLICY_NODES`
`static java.lang.String` | `X509_SGP22_NAME_CONSTRAINTS` Opt in to the relaxed directoryName name-constraint matching required by GSMA SGP.22 v2.5 (Remote SIM Provisioning).

Method Summary
`static java.math.BigInteger` | `asBigInteger(java.lang.String propertyName)`
`static int` | `asInteger(java.lang.String propertyName, int defaultValue)`
`static java.util.Set` | `asKeySet(java.lang.String propertyName)`
`static java.lang.String` | `getPropertyValue(java.lang.String propertyName)`
`static java.lang.String` | `getPropertyValue(java.lang.String propertyName, java.lang.String defValue)`
`static boolean` | `isOverrideSet(java.lang.String propertyName)` Return whether a particular override has been set to true.
`static boolean` | `isOverrideSet(java.lang.String propertyName, boolean defIsTrue)` Return whether a particular override has been set to true.
`static boolean` | `isOverrideSetTo(java.lang.String propertyName, boolean isTrue)` Return whether a particular override has been set to false.
`static boolean` | `removeThreadOverride(java.lang.String propertyName)` Remove any value for the specified override property for the current thread only.
`static boolean` | `setThreadOverride(java.lang.String propertyName, boolean enable)` Enable the specified override property for the current thread only.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMULATE_ORACLE

    public static final java.lang.String EMULATE_ORACLE

  If set the provider will attempt, where possible, to behave the same way as the oracle one.

  See Also:
    Constant Field Values

### PKCS12_IGNORE_USELESS_PASSWD

    public static final java.lang.String PKCS12_IGNORE_USELESS_PASSWD

See Also:
  Constant Field Values

### PKCS12_MAX_IT_COUNT

    public static final java.lang.String PKCS12_MAX_IT_COUNT

See Also:
  Constant Field Values

### BKS_MAX_IT_COUNT

    public static final java.lang.String BKS_MAX_IT_COUNT

See Also:
  Constant Field Values

### X509_CRL_CACHE_TTL

    public static final java.lang.String X509_CRL_CACHE_TTL

See Also:
  Constant Field Values

### X509_ENABLE_CRLDP

    public static final java.lang.String X509_ENABLE_CRLDP

See Also:
  Constant Field Values

### PKCS12_ALLOW_SUN_SECRET_KEYS

    public static final java.lang.String PKCS12_ALLOW_SUN_SECRET_KEYS

See Also:
  Constant Field Values

### PKCS1_STRICT_DIGESTINFO

    public static final java.lang.String PKCS1_STRICT_DIGESTINFO

See Also:
  Constant Field Values

### JSSE_HOSTNAME_CHECK_CN_FALLBACK

    public static final java.lang.String JSSE_HOSTNAME_CHECK_CN_FALLBACK

See Also:
  Constant Field Values

### DRBG_EFFECTIVE_256BITS_ENTROPY

    public static final java.lang.String DRBG_EFFECTIVE_256BITS_ENTROPY

See Also:
  Constant Field Values

### DRBG_ENTROPY_SOURCE

    public static final java.lang.String DRBG_ENTROPY_SOURCE

See Also:
  Constant Field Values

### DRBG_ENTROPY_THREAD

    public static final java.lang.String DRBG_ENTROPY_THREAD

See Also:
  Constant Field Values

### DRBG_GATHER_PAUSE_SECS

    public static final java.lang.String DRBG_GATHER_PAUSE_SECS

See Also:
  Constant Field Values

### ASN1_ALLOW_NON_DER_TIME

    public static final java.lang.String ASN1_ALLOW_NON_DER_TIME

See Also:
  Constant Field Values

### ASN1_MAX_CONS_DEPTH

    public static final java.lang.String ASN1_MAX_CONS_DEPTH

See Also:
  Constant Field Values

### ASN1_MAX_LIMIT

    public static final java.lang.String ASN1_MAX_LIMIT

See Also:
  Constant Field Values

### DH_MAX_SIZE

    public static final java.lang.String DH_MAX_SIZE

See Also:
  Constant Field Values

### DSA_MAX_SIZE

    public static final java.lang.String DSA_MAX_SIZE

See Also:
  Constant Field Values

### BCFKS_MAX_IT_COUNT

    public static final java.lang.String BCFKS_MAX_IT_COUNT

See Also:
  Constant Field Values

### BCFKS_MAX_SCRYPT_MEMORY

    public static final java.lang.String BCFKS_MAX_SCRYPT_MEMORY

See Also:
  Constant Field Values

### PBE_MAX_ITERATION_COUNT

    public static final java.lang.String PBE_MAX_ITERATION_COUNT

See Also:
  Constant Field Values

### PBE_MAX_SCRYPT_MEMORY

    public static final java.lang.String PBE_MAX_SCRYPT_MEMORY

See Also:
  Constant Field Values

### PKMAC_MAX_ITERATION_COUNT

    public static final java.lang.String PKMAC_MAX_ITERATION_COUNT

See Also:
  Constant Field Values

### X509_MAX_POLICY_NODES

    public static final java.lang.String X509_MAX_POLICY_NODES

See Also:
  Constant Field Values

### X509_ALLOW_LENIENT_RFC822_NAME

    public static final java.lang.String X509_ALLOW_LENIENT_RFC822_NAME

See Also:
  Constant Field Values

### GCM_ALLOW_SHORT_TAGS

    public static final java.lang.String GCM_ALLOW_SHORT_TAGS

See Also:
  Constant Field Values

### BKS_ENABLE_V1

    public static final java.lang.String BKS_ENABLE_V1

See Also:
  Constant Field Values

### X509_SGP22_NAME_CONSTRAINTS

    public static final java.lang.String X509_SGP22_NAME_CONSTRAINTS

  Opt in to the relaxed directoryName name-constraint matching required by GSMA SGP.22 v2.5 (Remote SIM Provisioning). Looser than RFC 5280 7.1, so defaults to off. See github #2327.

  See Also:
    Constant Field Values

Method Detail

### isOverrideSet

    public static boolean isOverrideSet(java.lang.String propertyName)

  Return whether a particular override has been set to true.

  Parameters:
    `propertyName` - the property name for the override.
  Returns:
    true if the property is set to "true", false otherwise.

### isOverrideSet

    public static boolean isOverrideSet(java.lang.String propertyName,
                                        boolean defIsTrue)

  Return whether a particular override has been set to true.

  Parameters:
    `propertyName` - the property name for the override.
  Returns:
    true if the property is set to "true", false otherwise.

### setThreadOverride

    public static boolean setThreadOverride(java.lang.String propertyName,
                                            boolean enable)

  Enable the specified override property for the current thread only.

  Parameters:
    `propertyName` - the property name for the override.
    `enable` - true if the override should be enabled, false if it should be disabled.
  Returns:
    true if the override was already set true, false otherwise.

### removeThreadOverride

    public static boolean removeThreadOverride(java.lang.String propertyName)

  Remove any value for the specified override property for the current thread only.

  Parameters:
    `propertyName` - the property name for the override.
  Returns:
    true if the override was already set true in thread local, false otherwise.

### isOverrideSetTo

    public static boolean isOverrideSetTo(java.lang.String propertyName,
                                          boolean isTrue)

  Return whether a particular override has been set to false.

  Parameters:
    `propertyName` - the property name for the override.
    `isTrue` - true if the override should be true, false otherwise.
  Returns:
    true if the property is set to the value of isTrue, false otherwise.

### asInteger

    public static int asInteger(java.lang.String propertyName,
                                int defaultValue)

### asBigInteger

    public static java.math.BigInteger asBigInteger(java.lang.String propertyName)

### asKeySet

    public static java.util.Set asKeySet(java.lang.String propertyName)

### getPropertyValue

    public static java.lang.String getPropertyValue(java.lang.String propertyName)

### getPropertyValue

    public static java.lang.String getPropertyValue(java.lang.String propertyName,
                                                    java.lang.String defValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD